Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class PropertiesParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.PropertiesParams

    public class PropertiesParams

extends Object

Represents a set of properties associated with some entity.

Field Summary
`protected List<AbstractProperty>` | `propertyList`

Constructor Summary
`PropertiesParams()`

Method Summary
`List<AbstractProperty>` | `getPropertyList()` Gets the value of the propertyList property.
`boolean` | `isSetPropertyList()`
`void` | `unsetPropertyList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyList

    protected List<AbstractProperty> propertyList

Constructor Detail

### PropertiesParams

    public PropertiesParams()

Method Detail

### getPropertyList

    public List<AbstractProperty> getPropertyList()

  Gets the value of the propertyList property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyList property.

  For example, to add a new item, do as follows:

          getPropertyList().add(newItem);

  Objects of the following type(s) are allowed in the list `NumberArrayProperty` `DateTimeProperty` `StringProperty` `BooleanArrayProperty` `NumberListProperty` `BooleanProperty` `IntegerProperty` `DurationListProperty` `StringListProperty` `IntegerListProperty` `BooleanListProperty` `NumberProperty` `DurationProperty` `IntegerArrayProperty`

### isSetPropertyList

    public boolean isSetPropertyList()

### unsetPropertyList

    public void unsetPropertyList()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.